Subject: [PATCH] tty: serial: serial-omap: depend on !8250_omap

From: [email-masked] (Tony Lindgren)
Date: Mon, 1 Dec 2014 08:38:13 -0800

* One Thousand Gnomes <[email-masked]> [141201 06:11]:
> > Well the nightmare userspace switch from ttyS to ttyO few years ago is
> > something we want to avoid.. I think the best solution would be to make
> > serial-omap.c transparently provide support for ttyO using the new 8250
> > code so both ttyS and ttyO devices would just work. Otherwise it will
> > be years of "my serial port stopped working" questions again.
> 
> Thata a udev problem not a kernel one surely.

How do you suggest we get people to update their kernel command line
and inittab? Udev may not even be installed.

Regards,

Tony